%define name wizardpen
%define version 0.8.1
%define release %mkrel 1

%define __libtoolize /bin/true

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Wizardpen Driver for Linux
Group:		System/X11
License:	BSD/MIT
URL:		https://launchpad.net/wizardpen
Source0:	http://launchpad.net/wizardpen/trunk/0.8/+download/xorg-input-%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	x11-proto-devel
BuildRequires:	x11-server-devel
BuildRequires:	x11-util-macros

%description
Wizardpen Driver for Linux.
What are referred to as "Genius Tablets" go by many names:

    * DigiPro 5x4 Graphics Tablet
    * Digital Ink Pad (A4 format)
    * G-pen
    * EasyPen i405
    * Genius Wizardpen
    * Genius Mousepen
    * Genius
    * iBall
    * Manhattan
    * Pentagram
    * QWare
    * Trust TB-3100
    * Trust TB-5300
    * Trust TB-6300
    * UC-LOGIC 

%prep
%setup -q -n xorg-input-%{name}-%{version}

%build
#autoreconf -fi
%configure2_5x --with-xorg-module-dir=%{_libdir}/xorg/modules/
%make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc
%{_libdir}/xorg/modules/input/wizardpen_drv.la
%{_libdir}/xorg/modules/input/wizardpen_drv.so
%{_bindir}/wizardpen-calibrate
%{_datadir}/X11/xorg.conf.d/70-wizardpen.conf
%{_sysconfdir}/udev/rules.d/67-xorg-wizardpen.rules
%{_mandir}/man4/


%changelog
* Fri Oct 14 2011 Alexander Barakin <abarakin@mandriva.org> 0.8.1-1
+ Revision: 704663
- update to version 0.8.1, new hw support

* Sat Jan 01 2011 Александр Казанцев <kazancas@mandriva.org> 0.7.0-2mdv2011.0
+ Revision: 627068
- initial release
- import wizardpen

